1

I have installed Salesforce CLI and then tried to create a Project in VSCode using SFDX: Create Project. But facing the following error. Do I need to install any additional package?

ERROR:Cannot find module 'rxjs-compat/operators/audit'
    at Function._load (C:/Program Files/Salesforce CLI/client/node_modules/@salesforce/lazy-require/lib/LazyLoader.js:89:24)
    at require (C:/Program Files/Salesforce CLI/client/node_modules/v8-compile-cache/v8-compile-cache.js:161:20)
    at Object.<anonymous> (C:/Program Files/Salesforce CLI/client/node_modules/rxjs/operators/audit.js:6:10)
    at Module._compile (C:/Program Files/Salesforce CLI/client/node_modules/v8-compile-cache/v8-compile-cache.js:192:30)
12:53:50.590 sfdx force:project:create --projectname VSCodeQuickstart --outputdir c:\Users\Aditya\Desktop --template standard ended with exit code 1
2
  • What version are you on? Do you have any CLI plugins installed? You can run sfdx --version and sfdx plugins in your command line to get that info. You could need to update your CLI with sfdx update in the command line. Commented Mar 15, 2020 at 13:00
  • It is showing as no plugins installed even after Updating the CLI Commented Mar 15, 2020 at 13:28

1 Answer 1

3

After searching I got to know that there were no plugins installed in the Salesforce CLI

sfdx plugins:install salesforcedx@latest

I ran the above command in the Command prompt and installed the latest salesforcedx plugins. after this, I was able to create a salesforce project successfully.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .